Update and/or move a file Run in API Explorer
Ask AI
PUT
/api/v1/file/{uuid}
curl \
--request PUT 'https://api.plannrcrm.com/api/v1/file/6ff8f7f6-1eb3-3525-be4a-3932c805afed' \
--header "Authorization: Bearer $ACCESS_TOKEN" \
--header "Content-Type: application/json" \
--data '{
"name": "Important Document",
"folder_uuid": "d7cb7e6f-16d8-48f0-8eae-076af84c65f6",
"original_created_at": "2026-10-09 13:38:25"
}'
Request examples
{
"name": "Important Document",
"folder_uuid": "d7cb7e6f-16d8-48f0-8eae-076af84c65f6",
"original_created_at": "2026-10-09 13:38:25"
}
Response examples (200)
{
"uuid": "6361a402-93e9-4366-8b95-112a37f4e55a",
"created_at": "2026-10-09T13:38:24+01:00",
"original_created_at": "2026-10-09T13:38:24+01:00",
"updated_at": "2026-10-09T13:38:24+01:00",
"uploaded_at": "2026-10-09T13:38:24+01:00",
"status": "uploaded",
"filename": "Welcome to Plannr.pdf",
"name": "Welcome to Plannr",
"extension": "pdf",
"type": "type",
"size": "21691783",
"path": "Gareth Thompson/Subfolder/Welcome to Plannr.pdf",
"last_modified": "2026-10-09T13:38:24+01:00",
"progress": "100",
"download_url": "https://api.plannrcrm.com/file/874ee119-717d-4d0e-8592-61f5e6020f1f/download",
"preview_url": "https://api.plannrcrm.com/file/4c75e593-bd0e-45c8-981e-60cdf7ba138f/preview",
"folder_name": "folder 2",
"folder": {
"uuid": "aa2dd7be-2836-4547-882c-f158e739515c",
"created_at": "2026-10-09T13:38:24+01:00",
"updated_at": "2026-10-09T13:38:24+01:00",
"name": "Important Documents",
"slug": "important-documents",
"path": "Codepotato/Important Documents",
"clients_read": true,
"clients_write": true,
"show_client_permissions": true,
"is_system_folder": true,
"is_pseudo_folder": true,
"is_root_folder": true,
"documentable_type": "account",
"documentable_uuid": "account",
"documentable": "Object",
"participants_count": 3,
"participants": {
"uuid": "9dd9abd4-30a9-4bc9-9c30-52a7c6e296ee",
"created_at": "2026-10-09T13:38:28+01:00",
"updated_at": "2026-10-09T13:38:28+01:00",
"name": "Gareth Thompson",
"write": true
},
"folders_count": 5,
"folders": {
"uuid": "d6fbedcb-f611-4f2b-b059-8831e1da3d04",
"created_at": "2026-10-09T13:38:28+01:00",
"updated_at": "2026-10-09T13:38:28+01:00",
"name": "Important Documents",
"slug": "important-documents",
"path": "Codepotato/Important Documents",
"clients_read": true,
"clients_write": true,
"show_client_permissions": true,
"is_system_folder": true,
"is_pseudo_folder": true,
"is_root_folder": true,
"documentable_type": "account",
"documentable_uuid": "account",
"documentable": "Object",
"participants_count": 3,
"folders_count": 5,
"files_count": 8,
"depth": 5,
"owned": false
},
"files_count": 8,
"files": {
"uuid": "468eabac-f442-4694-98f7-74b64ccfa2df",
"created_at": "2026-10-09T13:38:28+01:00",
"original_created_at": "2026-10-09T13:38:28+01:00",
"updated_at": "2026-10-09T13:38:28+01:00",
"uploaded_at": "2026-10-09T13:38:28+01:00",
"status": "uploaded",
"filename": "Welcome to Plannr.pdf",
"name": "Welcome to Plannr",
"extension": "pdf",
"type": "type",
"size": "21691783",
"path": "Gareth Thompson/Subfolder/Welcome to Plannr.pdf",
"last_modified": "2026-10-09T13:38:28+01:00",
"progress": "100",
"download_url": "https://api.plannrcrm.com/file/8a6b0da4-faf5-417d-93c4-d9d176c2b4f3/download",
"preview_url": "https://api.plannrcrm.com/file/1adb3e07-2793-4263-927a-622ee3c5aef1/preview",
"folder_name": "folder 2",
"documentable_type": "account",
"documentable": "Object",
"navigator": {
"model_type": "account",
"model_uuid": null
}
},
"parents": {
"uuid": "d6fbedcb-f611-4f2b-b059-8831e1da3d04",
"created_at": "2026-10-09T13:38:28+01:00",
"updated_at": "2026-10-09T13:38:28+01:00",
"name": "Important Documents",
"slug": "important-documents",
"path": "Codepotato/Important Documents",
"clients_read": true,
"clients_write": true,
"show_client_permissions": true,
"is_system_folder": true,
"is_pseudo_folder": true,
"is_root_folder": true,
"documentable_type": "account",
"documentable_uuid": "account",
"documentable": "Object",
"participants_count": 3,
"folders_count": 5,
"files_count": 8,
"depth": 5,
"owned": false
},
"ancestors": {
"uuid": "d6fbedcb-f611-4f2b-b059-8831e1da3d04",
"created_at": "2026-10-09T13:38:28+01:00",
"updated_at": "2026-10-09T13:38:28+01:00",
"name": "Important Documents",
"slug": "important-documents",
"path": "Codepotato/Important Documents",
"clients_read": true,
"clients_write": true,
"show_client_permissions": true,
"is_system_folder": true,
"is_pseudo_folder": true,
"is_root_folder": true,
"documentable_type": "account",
"documentable_uuid": "account",
"documentable": "Object",
"participants_count": 3,
"folders_count": 5,
"files_count": 8,
"depth": 5,
"owned": false
},
"children": {
"uuid": "d6fbedcb-f611-4f2b-b059-8831e1da3d04",
"created_at": "2026-10-09T13:38:28+01:00",
"updated_at": "2026-10-09T13:38:28+01:00",
"name": "Important Documents",
"slug": "important-documents",
"path": "Codepotato/Important Documents",
"clients_read": true,
"clients_write": true,
"show_client_permissions": true,
"is_system_folder": true,
"is_pseudo_folder": true,
"is_root_folder": true,
"documentable_type": "account",
"documentable_uuid": "account",
"documentable": "Object",
"participants_count": 3,
"folders_count": 5,
"files_count": 8,
"depth": 5,
"owned": false
},
"depth": 5,
"owned": false
},
"documentable_type": "account",
"documentable": "Object",
"navigator": {
"model_type": "account",
"model_uuid": "3aa50ecf-8ca1-4742-b062-d882874ce87c"
},
"firm": {
"uuid": "0d5ba10e-fd67-4758-9834-5a3bc91218d4",
"created_at": "2026-10-09T13:38:24+01:00",
"updated_at": "2026-10-09T13:38:24+01:00",
"name": "Codepotato",
"slug": "codepotato",
"address_1": "Suite E, 5 The Briars",
"address_2": "Waterberry Drive",
"town_city": "Waterlooville",
"county": "Hampshire",
"postcode": "PO7 7YH",
"country": "United Kingdom",
"regulatory_text": "Regulatory text",
"logo": "https://api.plannrcrm.com/images/plannr.jpg",
"logo_icon": "https://api.plannrcrm.com/images/plannr-icon.jpg",
"brand_colours": {
"sidebar_background": "#0E0E56",
"sidebar_accent": "#36367E",
"sidebar_text": "#FFFFFF",
"sidebar_hover": "#0A0A42",
"sidebar_active": "#53DBB8",
"sidebar_title_background": "#36367E",
"sidebar_title_primary": "#FFC634",
"sidebar_title_secondary": "#FFFFFF",
"sidebar_title_secondary_hover": "#FFFFFF",
"email_background": "#0E0E56",
"email_logo_background_panel": "#36367E",
"email_sub_text": "#FFFFFF",
"email_button_background": "#36367E",
"email_button_text": "#FFFFFF",
"portal_sidebar_button_background": "#F6F6F6",
"portal_sidebar_button_hover": "#FFFFFF",
"portal_sidebar_button_active": "#FFFFFF",
"portal_brand_title": "#323B4B",
"portal_brand_sub_title": "#828994",
"portal_sidebar_title": "#11151D",
"portal_sidebar_text": "#323B4B",
"portal_sidebar_text_hover": "#323B4B",
"portal_sidebar_text_active": "#323B4B",
"portal_sidebar_icon": "#828994",
"portal_sidebar_icon_hover": "#828994",
"portal_sidebar_icon_active": "#828994",
"portal_background": "#F6F6F6",
"portal_sidebar_account_title": "#11151D",
"portal_sidebar_account_email": "#828994",
"portal_sidebar_divider": "#E3E5E9",
"portal_dashboard_bg_one": "#EF4583",
"portal_dashboard_bg_two": "#FFC634",
"portal_sidebar_collapse_button": "#828994",
"portal_sidebar_collapse_button_hover": "#B3B9C4",
"portal_sidebar_user_select_background": "#F6F6F6",
"portal_sidebar_user_select_hover": "#F6F6F6",
"portal_sidebar_user_select_text": "#323B4B",
"portal_sidebar_user_select_text_hover": "#323B4B",
"portal_sidebar_user_select_border": "#EEEEEE",
"portal_sidebar_user_select_border_hover": "#828994"
},
"factfind_pdf_header_background": "#0E0E56",
"factfind_pdf_header_text": "#ffffff",
"factfind_pdf_logo": "https://api.plannrcrm.com/images/plannr.jpg",
"is_subscribed": true,
"addon_subscriptions": {
"uuid": "e5394f23-55dd-4bd7-a59e-cd31bf0d2261",
"created_at": "2026-10-09T13:38:28+01:00",
"updated_at": "2026-10-09T13:38:28+01:00",
"enabled": "true",
"trial_ends_at": "2026-10-23",
"trial_ends_in_days": 14,
"payment_confirmed_at": "2026-10-27"
},
"keep_deleted_files_for": 30,
"tax": 17.5,
"month_end": 25,
"statement_frequency": "monthly",
"billing": {
"invoice_address_1": "Suite E, 5 The Briars",
"invoice_address_2": "Waterberry Drive",
"invoice_town_city": "Waterlooville",
"invoice_county": "Hampshire",
"invoice_postcode": "PO7 7YH",
"invoice_country": "United Kingdom",
"invoice_email": "gareth@codepotato.co.uk"
},
"task_board_template": {
"uuid": null,
"created_at": "2026-10-09T13:38:28+01:00",
"updated_at": "2026-10-09T13:38:28+01:00",
"is_template": false,
"name": "Task Board",
"default_list_uuid": null,
"is_editable": true,
"priorities": [
{
"name": "High",
"value": "high"
},
{
"name": "Low",
"value": "low"
}
]
},
"ip_whitelist": [
"192.168.0.1",
"127.0.0.1"
],
"welcome_paragraph_html": "<h1>Welcome.</h1>",
"email_welcome_paragraph_html": "Welcome to Plannr!",
"show_fact_find_illustrations": true,
"cc_email_addresses": [
"jack@example.com",
"jill@example.com"
],
"bcc_email_addresses": [
"jack@example.com",
"jill@example.com"
],
"reply_to_email_address": "jack@example.com",
"mobile_app_support_number": "01234 567890",
"mobile_app_support_email": "support@example.com"
},
"account": {
"uuid": "fb12885f-d61b-4591-8708-ffdb3d24c745",
"created_at": "2026-10-09T13:38:24+01:00",
"updated_at": "2026-10-09T13:38:24+01:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=Gareth+Thompson",
"external_references": {
"uuid": "8293507c-76c3-4d3a-9ad1-991f2d2f4031",
"created_at": "2026-10-09T13:38:28+01:00",
"updated_at": "2026-10-09T13:38:28+01:00",
"third_party": "nucleus",
"reference": "AB123456"
}
},
"tags": [
{
"uuid": "85a1efa5-e601-4b74-b92f-ff16868b8287",
"created_at": "2026-10-09T13:38:24+01:00",
"updated_at": "2026-10-09T13:38:24+01:00",
"name": "Mortgage",
"slug": "mortgage",
"colour": "#ef4582"
}
]
}
Response examples (422)
{
"message": "The given data was invalid.",
"errors": {
"field": [
"The field is invalid."
]
}
}